Structure.StructField (JNA API)

com.sun.jna

## Class Structure.StructField

- java.lang.Object
- - com.sun.jna.Structure.StructField

- Enclosing class:
    Structure

      protected static class Structure.StructField
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FromNativeContext` | `context`
    `java.lang.reflect.Field` | `field`
    `boolean` | `isReadOnly`
    `boolean` | `isVolatile`
    `java.lang.String` | `name`
    `int` | `offset`
    `FromNativeConverter` | `readConverter`
    `int` | `size`
    `java.lang.Class<?>` | `type`
    `ToNativeConverter` | `writeConverter`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StructField()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### type

          public java.lang.Class<?> type

    - #### field

          public java.lang.reflect.Field field

    - #### size

          public int size

    - #### offset

          public int offset

    - #### isVolatile

          public boolean isVolatile

    - #### isReadOnly

          public boolean isReadOnly

    - #### readConverter

          public FromNativeConverter readConverter

    - #### writeConverter

          public ToNativeConverter writeConverter

    - #### context

          public FromNativeContext context

  - ### Constructor Detail

    - #### StructField

          protected StructField()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.